{
  "mappings": {
    "activity_main": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ActivityMainBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    },
    "dialog_wifi_ap": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.DialogWifiApBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    },
    "fragment_clients": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.FragmentClientsBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    },
    "fragment_ebeg": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.FragmentEbegBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    },
    "fragment_tethering": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.FragmentTetheringBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    },
    "listitem_client": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemClientBinding",
      "module_package": "hanson.xyz.vpnhotspotmod",
      "variables": {
        "client": "hanson.xyz.vpnhotspotmod.client.Client",
        "rate": "hanson.xyz.vpnhotspotmod.client.ClientsFragment.TrafficRate"
      },
      "implementations": [
        {
          "tag": "layout/listitem_client",
          "merge": false,
          "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemClientBindingImpl"
        }
      ]
    },
    "listitem_interface": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemInterfaceBinding",
      "module_package": "hanson.xyz.vpnhotspotmod",
      "variables": {
        "data": "hanson.xyz.vpnhotspotmod.manage.Data"
      },
      "implementations": [
        {
          "tag": "layout/listitem_interface",
          "merge": false,
          "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemInterfaceBindingImpl"
        }
      ]
    },
    "listitem_manage": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemManageBinding",
      "module_package": "hanson.xyz.vpnhotspotmod",
      "variables": {
        "data": "hanson.xyz.vpnhotspotmod.manage.ManageBar.Data"
      },
      "implementations": [
        {
          "tag": "layout/listitem_manage",
          "merge": false,
          "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemManageBindingImpl"
        }
      ]
    },
    "listitem_repeater": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemRepeaterBinding",
      "module_package": "hanson.xyz.vpnhotspotmod",
      "variables": {
        "data": "hanson.xyz.vpnhotspotmod.manage.RepeaterManager.Data"
      },
      "implementations": [
        {
          "tag": "layout/listitem_repeater",
          "merge": false,
          "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.ListitemRepeaterBindingImpl"
        }
      ]
    },
    "preference_material": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.PreferenceMaterialBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    },
    "preference_widget_edittext_autocomplete": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.PreferenceWidgetEdittextAutocompleteBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    },
    "preference_widget_material_switch": {
      "qualified_name": "hanson.xyz.vpnhotspotmod.databinding.PreferenceWidgetMaterialSwitchBinding",
      "module_package": "hanson.xyz.vpnhotspotmod.databinding",
      "variables": {},
      "implementations": []
    }
  }
}